Subject: Re: AltiVec on Linux

From: Adrian Cox <[email-masked]>
Date: Thu, 09 Mar 2000 09:42:46 +0000

Greg Allen wrote:

> It's not a "Linux" compiler -- it's strictly a cross-compiler. It creates
> the toolset "powerpc-eabisim-*". The binaries that it generates do not run
> on Linux.

Take the compiler patches, apply to the compiler source for LinuxPPC,
configure, make. This should work, though I've only done it on Debian.

> Unfortunately, powerpc-eabisim-g++ doesn't recognize "vector" at all.
> That's right, boys and girls, NO C++ SUPPORT WITH ALTIVEC!

For C++ use the keyword __vector.

This is documented in the Altivec Programming Interface Manual, which
can be found at:
http://www.altivec.org/tech_specifications/altivec_pim.pdf

It's not pretty, but it is in the manual.

- Adrian Cox, AG Electronics

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/